List an Organization's Repositories

GET /api/0/organizations/{organization_id_or_slug}/repos/

Return a list of version control repositories for a given organization.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

Query Parameters:

query (string)

Filter repositories by name.

status (string)
choices:
  • active
  • deleted

Filter repositories by status. Defaults to active.

integration_id (string)

Filter repositories by integration ID.

expand (array(string))

Optional repository fields to expand, such as settings.

cursor (string)

A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

Scopes

<auth_token> requires one of the following scopes:
  • org:admin
  • org:ci
  • org:integrations
  • org:read
  • org:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/repos/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
[ { "dateCreated": "2018-11-06T21:19:58.536Z", "id": "3", "name": "sentry/sentry" } ]
Was this helpful?